| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::FrameEvent Struct Reference
Core » General

Struct containing information about a frame event. More...

`#include <OgreFrameListener.h>`

## Public Attributes
Real | timeSinceLastEvent
| Elapsed time in seconds since the last event. More...
Real | timeSinceLastFrame
| Elapsed time in seconds since the last event of the same type, i.e. More...

## Detailed Description

Struct containing information about a frame event.

## Member Data Documentation

## ◆ timeSinceLastEvent

Real Ogre::FrameEvent::timeSinceLastEvent

Elapsed time in seconds since the last event.

This gives you time between frame start & frame end, and between frame end and next frame start.

Remarks
  This may not be the elapsed time but the average elapsed time between recently fired events.

## ◆ timeSinceLastFrame

Real Ogre::FrameEvent::timeSinceLastFrame

Elapsed time in seconds since the last event of the same type, i.e.

time for a complete frame.

Remarks
  This may not be the elapsed time but the average elapsed time between recently fired events of the same type.

The documentation for this struct was generated from the following file:

- OgreFrameListener.h